/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *   * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package org.wso2.registry.app;

import org.apache.abdera.util.AbstractExtensionFactory;

import javax.xml.namespace.QName;

public class PropertyExtensionFactory extends AbstractExtensionFactory {

    public static final String NS = "tag:wso2.org,2008:foo";
    public static final QName PROPERTY_NAME = new QName(NS, "name", "ns");
    public static final QName PROPERTY_VALUE = new QName(NS, "value", "ns");
    public static final QName PROPERTIES = new QName(NS, "properties", "ns");
    public static final QName PROPERTY = new QName(NS, "property", "ns");
    public static final QName TAGS = new QName(NS, "tags", "ns");
    public static final QName TAG = new QName(NS, "tag", "ns");

    public PropertyExtensionFactory() {
        super(NS);
        addImpl(PROPERTY_NAME, PropertyName.class);
        addImpl(PROPERTY_VALUE, PropertyValue.class);
        addImpl(PROPERTIES, Properties.class);
        addImpl(TAGS, Properties.class);
        addImpl(PROPERTY, Property.class);
        addImpl(TAG, Property.class);
    }

}
