/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *   * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package org.wso2.registry.app;

import org.apache.abdera.protocol.Request;
import org.apache.abdera.protocol.Resolver;
import org.apache.abdera.protocol.server.RequestContext;
import org.apache.abdera.protocol.server.Target;
import org.apache.abdera.protocol.server.TargetType;
import org.apache.abdera.protocol.server.impl.DefaultTarget;

public class RegistryAPPTargetResolver implements Resolver<Target> {
    public Target resolve(Request request) {
        RequestContext context = (RequestContext)request;
        String httpMethod = context.getMethod();

//        String path = context.getTargetPath();
//        if (!(path.startsWith("/atom/") || path.equals("/atom"))) {
//            return null;
//        }

        if ("GET".equals(httpMethod) || "HEAD".equals(httpMethod)) {
            return new RegistryTarget(TargetType.TYPE_COLLECTION, context);
        } else if ("POST".equals(httpMethod)) {
            return new RegistryTarget(TargetType.TYPE_COLLECTION, context);
        } else if ("PUT".equals(httpMethod)) {
            // Could be either collection or entry... (if we support PUT <feed>...)
            return new RegistryTarget(TargetType.TYPE_ENTRY, context);
        } else if ("DELETE".equals(httpMethod)) {
            // Must exist, but could be either collection or entry...
            return new RegistryTarget(TargetType.TYPE_ENTRY, context);
        }
        return null;
    }

    public static class RegistryTarget extends DefaultTarget {
        public RegistryTarget(TargetType type, RequestContext context) {
            super(type, context);
        }
    }
}
