/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *   * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */

package org.wso2.registry.jdbc;

public class DatabaseConstants {

    // database context name
    public static final String REGISTRY_DATASOURCE_NAME = "java:comp/env/jdbc/WSO2RegistryDB";
    public static final String USER_MANAGER_DATASOURCE_NAME =
            "java:comp/env/jdbc/WSO2UserManagerDB";
    public static final String HSQL_DRIVER_NAME = "org.hsqldb.jdbcDriver";

    // Field names of Resource table
    public static final String AID_FIELD = "AID";
    public static final String PATH_FIELD = "PATH";
    public static final String DIRECTORY_FIELD = "DIRECTORY";
    public static final String STATE_FIELD = "STATE";
    public static final String MEDIA_TYPE_FIELD = "MEDIA_TYPE";
    public static final String AUTHOR_FIELD = "AUTHOR";
    public static final String CREATED_TIME_FIELD = "CREATED_TIME";
    public static final String DESCRIPTION_FIELD = "DESCRIPTION";
    public static final String LAST_UPDATER_FIELD = "LAST_UPDATER";
    public static final String LAST_UPDATED_TIME_FIELD = "LAST_UPDATED_TIME";
    public static final String CONTENT_FIELD = "CONTENT";

    // Field names of Children table
    public static final String PARENT_ID_FIELD = "PARENT_ID";
    public static final String CHILD_ID_FIELD = "CHILD_ID";

    // Field names of Versions table
    public static final String VERSION_CONTENT_FIELD = "CONTENT";
    public static final String VERSION_AUTHOR_FIELD = "AUTHOR";
    public static final String VERSION_UPDATED_TIME = "UPDATED_TIME";

    // Field names of Properties table
    public static final String PROPERTY_ID_FIELD = "P_ID";
    public static final String ARTIFACT_ID_FIELD = "AID";
    public static final String PROPERTY_KEY_FIELD = "PKEY";
    public static final String PROPERTY_VALUE_FIELD = "PVALUE";

    // Field names of Tags tabel
    public static final String TAG_ID_FIELD = "TAG_ID";
    public static final String TAG_NAME_FIELD = "TAG_NAME";

    // Field names of Taggings table
    public static final String TAGGED_TIME_FIELD = "TAGGED_TIME";
    public static final String TAGGING_ID_FIELD = "TN_ID";

    // Field names of Comments table
    public static final String COMMENT_ID_FIELD = "CM_ID";
    public static final String COMMENT_TEXT_FIELD = "COMMENT_TEXT";
    public static final String COMMENTED_USER_ID_FIELD = "USER_ID";
    public static final String COMMENTED_TIME_FIELD = "COMMENTED_TIME";

    // Field names of logs table
    public static final String LOGGED_TIME_FIELD = "LOGGED_TIME";
    public static final String ACTION_FIELD = "ACTION";
    public static final String ACTION_DATA_FIELD = "ACTION_DATA";

    // Field names of Ratings table
    public static final String RATING_ID_FIELD = "R_ID";
    public static final String RATED_TIME_FIELD = "RATED_TIME";
    public static final String RATING_FIELD = "RATING";

    // user ID field common for most tables
    public static final String USER_ID_FIELD = "USER_ID";

}
