/*
 * Copyright (c) 2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.registry.jdbc.realm;

import org.wso2.registry.RegistryException;
import org.wso2.registry.jdbc.utils.RegistryDataSource;
import org.wso2.registry.secure.HSQLDBInitializer;

public class InMemoryRegistryRealm extends RegistryRealm {

    public static final String INMEMORY_DB_URL = "jdbc:hsqldb:mem:umdb";
    public static final String INMEMORY_DB_DRIVER_NAME = "org.hsqldb.jdbcDriver";
    public static final String INMEMORY_DB_USER_NAME = "sa";
    public static final String INMEMORY_DB_PASSWORD = "";

    public InMemoryRegistryRealm() throws RegistryException {
        super();

        RegistryDataSource dataSource = new RegistryDataSource(INMEMORY_DB_URL,
                                                               INMEMORY_DB_DRIVER_NAME,
                                                               INMEMORY_DB_USER_NAME,
                                                               INMEMORY_DB_PASSWORD);

        new HSQLDBInitializer().createHSQLTables(dataSource);

        super.configure(dataSource);
    }
}
