/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *   * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package org.wso2.registry.secure;

import org.wso2.registry.RegistryConstants;
import org.wso2.registry.RegistryException;
import org.wso2.registry.jdbc.InMemoryJDBCRegistry;
import org.wso2.registry.jdbc.JDBCRegistryTest;
import org.wso2.registry.jdbc.realm.InMemoryRegistryRealm;
import org.wso2.registry.jdbc.realm.RegistryRealm;

public class JDBCBasedSecureRegistryTest extends JDBCRegistryTest {
    public void setUp() {
        try {
            if (registry == null) {
                RegistryRealm realm = new InMemoryRegistryRealm();
                InMemoryJDBCRegistry inmemoryRegsitry = new InMemoryJDBCRegistry(
                        new InMemoryRegistryRealm());
                registry = new SecureRegistry(RegistryConstants.ADMIN_USER,
                                              "admin", inmemoryRegsitry, realm);
            }
        } catch (RegistryException e) {
            fail("Failed to initialize the registry.");
        }
    }
}
